#
# spec file for package libqt5-qtpbfimageformat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

%if 0%{?fedora_version}
Name:           qt5-qtpbfimageformat
%else
Name:           libqt5-qtpbfimageformat
%endif
Version:        3.0
Release:        1.3
Summary:        Qt 5 PBF Image Format Plugin
License:        LGPL-3.0-only
Group:          Development/Libraries/X11
Url:            https://github.com/tumic0/QtPBFImagePlugin
Source0:        https://github.com/tumic0/QtPBFImagePlugin/archive/%{version}/QtPBFImagePlugin-%{version}.tar.gz
Patch0:         pkgconfig.patch

BuildRequires:  gcc-c++
BuildRequires:  make
%if 0%{?suse_version}
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5Gui-devel
BuildRequires:  protobuf-devel
BuildRequires:  zlib-devel
%else
%if 0%{?fedora_version} || 0%{?centos_version} >= 800
BuildRequires:  qt5-qtbase
BuildRequires:  qt5-qtbase-gui
BuildRequires:  qt5-qtbase-devel
BuildRequires:  zlib-devel
%if 0%{?centos_version} >= 800
BuildRequires:  protobuf-devel
BuildRequires:  gdb-headless
%else
BuildRequires:  protobuf-lite-devel
%endif
%else
# Mageia
BuildRequires:  libqt5core-devel
BuildRequires:  libqt5gui-devel
%ifarch x86_64
BuildRequires:  lib64protobuf-devel
BuildRequires:  lib64zlib-devel
%else
BuildRequires:  libprotobuf-devel
BuildRequires:  libzlib-devel
%endif
%endif
%endif

%description
Qt image plugin for displaying Mapbox vector tiles.

%prep
%setup -q -n QtPBFImagePlugin-%{version}
%patch0

%build
%if 0%{?suse_version}
%{qmake5} pbfplugin.pro
%else
%{qmake_qt5} pbfplugin.pro
%endif
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
install -d 755 %{buildroot}/%{_datadir}/mime/packages
install -m 644 pkg/pbfplugin.xml %{buildroot}/%{_datadir}/mime/packages/%{name}.xml

%files
%if 0%{?suse_version}
%dir %{_libqt5_plugindir}
%{_libqt5_plugindir}/imageformats/libpbf.so
%else
%{_qt5_plugindir}/imageformats/libpbf.so
%endif
%{_datadir}/mime/packages/*

%changelog
* Sun Dec 10 2023 tumic@cbox.cz
- Update to version 3.0
  * Added support for overzoom.
* Sat Oct 28 2023 tumic@cbox.cz
- Update to version 2.6
  * Fixed/improved path label layout algorithm.
* Tue Oct 10 2023 tumic@cbox.cz
- Update to version 2.5
  * Fixed/improved path label layout algorithm.
  * Added Windows dll info.
* Sat May 13 2023 tumic@cbox.cz
- Update to version 2.4
  * Fixed tile transparency issue.
* Tue Dec 29 2020 tumic@cbox.cz
- Update to version 2.3
  * Added support for Qt6.
  * Improved street names layout.
  * Added support for layout visibility style option.
* Wed Apr 15 2020 tumic@cbox.cz
- Update to version 2.2
  * Do not claim to support all GZIP files, just MVT (protobuf).
* Sun Jan 26 2020 tumic@cbox.cz
- Update to version 2.1
  * Fixed broken interpolation of grayscale colors.
* Sat Oct  5 2019 tumic@cbox.cz
- Update to version 2.0
  * Now using a tile size of 512px to fit the data and styles.
  * Fixed broken downscaling.
  * Improved text layout and rendering.
* Sun Apr 28 2019 tumic@cbox.cz
- Update to version 1.4
  * Added support for text halo (outline).
* Sat Mar  9 2019 tumic@cbox.cz
- Update to version 1.3
  * Added missing support for named (HTML) colors.
  * Use the official IANA MIME-type and extension (MVT).
* Tue Jan  1 2019 tumic@cbox.cz
- Update to version 1.2
  * Improved text layout and rendering.
  * Improved rendering performance.
  * Minimal Qt version is now 5.4 (5.6 for HiDPI support)
* Wed Dec  5 2018 tumic@cbox.cz
- Update to version 1.1
  * Fixed build on some Qt versions.
* Wed Dec  5 2018 tumic@cbox.cz
- Update to version 1.0
  * Initial version.
